阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 14947阅读
  • 2回复

[安全漏洞公告专区]【漏洞公告】CVE-2018-11776/S2-057:Struts 2远程命令执行漏洞

级别: 论坛版主
发帖
241
云币
478
Apache Struts2 官方发布了最新的安全公告,披露了一个远程命令执行漏洞(漏洞编号:CVE-2018-11776,官方编号:S2-057),攻击者可利用漏洞实施远程命令执行攻击。 U?vG?{A  
  
`a$-"tW~j  
漏洞编号: S8 +GM  
CVE-2018-11776/S2-057 j<H5i}  
漏洞名称: r_m*$r~f  
Struts 2远程命令执行漏洞 *G'R+_tdE  
漏洞描述: du,mbTQib  
在使用Struts2框架定义XML配置时,如果namespace值未设置且上层动作配置(Action Configuration)中未设置或用通配符namespace时可能会导致远程代码执行。 l~|x*JTq  
url标签未设置value和action值且上层动作未设置或用通配符namespace时可能会导致远程代码执行。 : ,0F_["3  
影响范围: in>Os@e#  
Struts 2.3 – Struts 2.3.34, Struts 2.5 – Struts 2.5.16 X~m*`UH  
其余版本也可能会受到影响 2vb{PQ  
漏洞检测: ]yc&ffe%  
开发人员检查是否使用了受影响版本范围内的版本。   6N7^`ghTf  
漏洞修复建议(或缓解措施):   Fjq~^_8  
建议您根据业务情况,升级到最新版本。 --t"X<.z  
下载链接如下: 0l.\KF  
??X3teO{  
注:建议您在版本升级前请使用快照或其他方式做好数据备份工作,避免出现意外。 wrORyj  
情报来源: oP[R?zN  
!CJh6X !  
dm;C @.ML  
rn$LZE %  
[ 此帖被正禾在2018-08-22 20:22重新编辑 ]
级别: 程序猿
发帖
497
云币
745
只看该作者 板凳  发表于: 2018-09-07
 
关注~~
 
[ 此帖被服务器云在2018-11-09 21:47重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 2018-08-24
Re【漏洞公告】CVE-2018-11776/S2-057Struts 2远程命令执行漏洞
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您在写长篇帖子又不马上发表,建议存为草稿
 
验证问题: 阿里云官网域名是什么? 正确答案:www.aliyun.com
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)